#![feature(proc_macro_hygiene, decl_macro)]

#[macro_use]
extern crate rocket;

// Route modules
mod catchers;
mod errors;
mod ivago;

fn rocket() -> rocket::Rocket {
    rocket::ignite()
        .mount("/ivago", ivago::routes())
        .register(catchers![catchers::not_found])
}

fn main() {
    rocket().launch();
}
